@import url("https://fonts.googleapis.com/css2?family=Fredericka+the+Great&display=swap");
body {
  background: linear-gradient(to right, #0a1221, #080e1a);
}

.translator {
  background: linear-gradient(to bottom right, rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.5)), url("../asset/ocean-background.jpg") center center no-repeat;
  background-size: cover;
  text-align: center;
  height: 100vh;
}

.placeholder-colour::placeholder {
  color: #a9c4d4; /* Customize the color */
  opacity: 1; /* Prevents transparency */
}

.prosign {
  background: linear-gradient(to right, #0a1221, #080e1a);
  height: 80vh;
}

.prosign-table {
  border-radius: 50px; /* Radius for the entire table */
  overflow: hidden; /* Ensures no content overflows the rounded corners */
}

.prosign-table tr:first-child td {
  padding-top: 20px; /* Adjust as needed */
}

.prosign-table tr:last-child td {
  padding-bottom: 20px; /* Adjust as needed */
}

.prosign-table td:nth-child(2),
.prosign-table th:nth-child(2) {
  border-left: 5px solid #f5f5dc; /* Left border */
  border-right: 5px solid #f5f5dc; /* Right border */
}

.prosign-table th {
  border-bottom: 5px solid #f5f5dc;
}

.ocean-waves {
  background: no-repeat;
}

.morse-quote {
  background: linear-gradient(to bottom right, rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.8)), url("../asset/wave-background.jpg") center center no-repeat;
  background-size: cover;
  height: 80vh;
}

.quote {
  font-family: "Fredericka the Great", serif;
  font-weight: 400;
  font-style: normal;
}

.xl-text {
  font-size: 75px;
}

.l-text {
  font-size: 50px;
}

.hidden {
  display: none;
}

.light-morse {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 15px;
  box-shadow: 0 3rem 5rem rgba(0, 0, 0, 0.3);
  z-index: 10;
}

.card-light {
  height: 60vh;
}

.fullscreen-card {
  height: 100vh;
  width: 100vw;
}

.remove-headfoot {
  display: none;
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  backdrop-filter: blur(3px);
  z-index: 5;
}

@media (max-width: 576px) {
  .translator {
    min-height: 800px !important;
  }
  .prosign {
    min-height: 1000px;
  }
  .morse-quote {
    min-height: 600px !important;
  }
}
@media (max-width: 768px) {
  .container .quote {
    padding-left: 20px;
    padding-right: 20px;
  }
  .ocean-waves {
    display: none;
  }
  .morse-quote {
    height: 35vh;
  }
}
@media (max-width: 992px) {
  .ocean-waves {
    display: none;
  }
  .translator {
    height: 800px !important;
  }
  .prosign {
    max-height: 700px !important;
  }
  .morse-quote {
    padding-top: 15%;
    height: 40vh;
  }
}
@media (min-width: 992px) {
  .prosign {
    min-height: 800px !important;
  }
}
